Page MenuHomePhabricator

Decide which GCI 2019 mentor to attend GCI Grand Prize winners weekend in June 2020 (before 2020-02-21)
Closed, ResolvedPublic

Description

This is meant as a tracking task, so that we do not forget to do that (last year we we're pretty late on responding to Google's invitation :P).

As the previous Google Code-ins, Google will again invite one mentor/org admin of each org to attend the Google Code-in winners trip.

The dates will be either May 31-June 4 or June 21-25, 2020.

Based on the experience from previous years, the trip will most likely be to San Francisco and the area around (including visiting the Google HQ in Mountain View). Here the early text from Google:

We will also issue a mentor travel stipend for your org to send 1 mentor or org admin to attend the GCI Winners trip this June to that Payoneer account (dates for trip TBD- more info coming in early February). We will issue the Winners trip mentor travel stipend later in February once you have selected your mentor to attend the trip. Since there are 5 new GCI orgs we wanted to be sure you were aware of this extra perk so you can start thinking about who you may wish to send on the trip.

The last years, we used the task count of the mentors from the Google Code-in dashboard to create a list of possible mentors to attend the event.

Details

Due Date
Feb 20 2020, 11:00 PM

Event Timeline

Florian triaged this task as Medium priority.Jan 5 2020, 10:46 AM
Florian created this task.
Florian created this object with visibility "Custom Policy".
Florian moved this task from Proposed tasks to Organizational on the Google-Code-in-2019 board.
Ebe123 added a comment.Jan 5 2020, 4:25 PM

We should select the mentor only after the winners have been decided and they've settled on a date, so that the mentors can check whether they would be available to go.

Probably, last time two times (was it two times they've two dates already?) that didn't work out, though. The students were on both trips (so one on the first and the other one on the second). We would also need to give the mentor enough time to plan their trip as well.

Aklapper set Due Date to Feb 20 2020, 11:00 PM.Jan 28 2020, 2:41 PM

The deadline is 2020-02-21.

The dates seem to be either May 31-June 4 or June 21-25).

Aklapper renamed this task from Decide which GCI 2019 mentor/admin to attend GCI Grand Prize winners in June 2020 to Decide which GCI 2019 mentor/admin to attend GCI Grand Prize winners in June 2020 before 2020-02-21.Jan 28 2020, 2:54 PM
Aklapper claimed this task.Jan 28 2020, 3:32 PM

I wouldn't know how to change the visibility of this task, but this task when drafted seems to be more about creating "criteria" or a process to decide which mentor to ship off to SF, and create a new open task for candidatures. We should open the task when we get told the cohort of our winners, in the case both winners are in the same one.

As for task count, I was hesitant to use it as a metric last year, in favour of the interaction count, as a better metric for the engagement of the mentors with the students. Although creating and adding yourself as a mentor to tasks is good, there isn't much engagement if no students take it or if the task instances get ignored.

I think we'd the instance count vs. task count in the others years as well, however, especially for tasks with multiple mentors, a mentor may not interact with the task on the platform, but interacted with the student on IRC, Gerrit or phabricator, justd isn't approve the task in GCI (e.g. it turned night in their Timezone or whatever). Last times the task count seemed to be a good compromise between the interaction count and instance count.

It would be possiblet o make this task public or visible for all mentors by changing the policy.

I wouldn't know how to change the visibility of this task, but this task when drafted seems to be more about creating "criteria" or a process to decide which mentor to ship off to SF, and create a new open task for candidatures. We should open the task when we get told the cohort of our winners, in the case both winners are in the same one.

[FYI] Changing the visibility policy is restricted, and only certain Phabricator users can do so.

Thanks @Urbanecm!
@Florian: The interaction count is per-instance, so the number of comments / actions on an instance isn't taken into account, just that it had occurred. I think the interaction count comprises just accepting an instance.

So what is our method to decide our mentor/admin to the SF? @Aklapper As you claimed this task do you have any ideas in mind?

Urbanecm changed the visibility from "Custom Policy" to "Public (No Login Required)".Feb 11 2020, 6:19 PM

So what is our method to decide our mentor/admin to the SF? @Aklapper As you claimed this task do you have any ideas in mind?

Right, thanks for the ping! :)

Hi! I'd go by mentors most active by "Interacted count" (only for >=10):

Étienne Beaulé		367
Martin Urbanec		287
Gopa Vasanth		102
Ammarpad		78
Andre Klapper		78
Yash Khare		61
Doug Taylor		52
Florian			26
Rafidaslam (refeed)	22
Nicolas Raoul		17
Srishti Sethi		16
Rammanoj potla		12
Pavithra Eswaramoorthy	12
Andreas			11

And for your info, here is the list of mentors who offered the most task instances (only for >=10):

Username	Instance count	Task count
Étienne Beaulé		739	48
Martin Urbanec		715	146
Shreyas Minocha		476	24
Florian			395	63
Laasya sree		327	11
Andre Klapper		294	27
Gopa Vasanth		281	42
Doug Taylor		258	10
Ammarpad		189	53
Platonides		182	3
Pavithra Eswaramoorthy	176	4
Rafidaslam (refeed)	173	6
Zppix			151	2
Andreas			139	5
Nicolas Raoul		110	2
Vanshika Arora		108	2
Srishti Sethi		34	16
Sarah R.		34	2
Rammanoj potla		29	11
James F.		25	10
01tonythomas		16	7
Tiven2240		12	2
Rachel			10	2
Aklapper renamed this task from Decide which GCI 2019 mentor/admin to attend GCI Grand Prize winners in June 2020 before 2020-02-21 to Decide which GCI 2019 mentor to attend GCI Grand Prize winners weekend in June 2020 (before 2020-02-21).Feb 12 2020, 1:42 AM
Aklapper raised the priority of this task from Medium to High.
Aklapper updated the task description. (Show Details)

Hi! I'd go by mentors most active by "Interacted count" (only for >=10):

Both @Ebe123 and @Urbanecm look like the "strongest" candidates to me here (also when it comes to how likely you have interacted with our winner students).
After that I'd see @Florian, @Gopavasanth and @Ammarpad when kind of 'mixing' the two tables above. And after that, probably @RexxS (Doug) and myself.
That's my quick look at this. Does anyone [dis]agree? :)

So... who of all you all would be interested in this and would you have time (and a passport that lets you enter the USA)? Dates are either May 31-June 4 or June 21-25.
Replies very welcome within the next 8 days!

I'm available for both dates and would be happy to get to know our winner tudents :)

/me could go only on the later date

but it's probably wise to let someone who haven't yet the chance to go there? :-)

This sounds like a wonderful (Dream come true) opportunity!! This year, both the dates work for me and I have a valid Indian passport.

RexxS added a comment.Feb 12 2020, 7:10 PM

I would decline any consideration for myself. I'd much prefer to let one of our younger mentors get the experience. This year I certainly found Martin and Étienne doing a lot of work on tasks, on IRC and behind the scenes. I'd endorse either of them as first choice, but I know that the others put a lot of effort in as well.

I'd be interested; I'd love to meet our winners and visit Google! I'd be available for either date ranges and have the proper documentation.

Ammarpad added a comment.EditedFeb 13 2020, 6:36 AM

I'd not consider myself, but would recommend either Ebe123 or Florian.

but it's probably wise to let someone who haven't yet the chance to go there? :-)

Heh, I had also thought about mentioning that you went last year and that I personally like the idea of some rotation, but then Ebe123 and you have been the most active and students should preferably meet someone they have interacted with, so I wasn't sure anymore. :)

After asking everybody privately for bribery money and checking who sent the most looking at all the previous comments, I'd say that it's @Ebe123 's turn this time?

(Note that in the last years, Google usually also offered an invitation for one GCI mentor to attend the Google Summer of Code Mentors Summit in October - there are no students around, but it is also an interesting event.)

Gopavasanth added a comment.EditedFeb 13 2020, 7:12 AM

Yes, @Ebe123 is very active in all the times of this round of GCI and I'm happy with this decision (+1). I can attend the GSoC mentor summit as per the above Andres message.

Yes, from mean s well, @Ebe123 is a reasonable choice here :)

Hmm, does anyone know / remember how to proceed?
I found an email from Google on 2020-01-05 that "We will issue the Winners trip mentor travel stipend later in February once you have selected your mentor to attend the trip."
And an email on 2020-01-27 "Choose Mentor for GCI trip by Feb 21st. Be thinking about which Mentor you wish to meet your GCI winners on the trip to San Francisco in June (more details coming soon on exact dates for your org's chosen mentor - will be either May 31 - June 4 or June 21-25)."
But I'm clueless if and how we tell Google who is going to attend. (Maybe we don't have to yet?)

IIRC, last year, Google sent an email to all the org admins that was to be forwarded to the selected mentor. Unsure if there was any org-admin-only form to fill - I wasn't an org admin then :).

There was no org admin form to fill (other than the Payoneer stuff). I've sent a message to ask about how to proceed (@Aklapper: needs mod approval for the Wikimedia mailing list)

They'll (GCI) will send an email to the org admins next week with the dates etc.

They'll (GCI) will send an email to the org admins next week with the dates etc.

Whou, thanks for finding out. Makes me more relaxed to know that we haven't done anything wrong (so far). :)

Errm, alright, as I've heard about some confusion, I'll hereby explicitly write:

@Ebe123 will attend! :)

@Ebe123 will attend! :)

See you soon!

The org admins have got an email from Google for the mentor to go on the 2nd trip with both (!) GP winners. I've replied with the decision here. See you soon!

Soo lucky that everyone can make the same trip this year!

Aklapper closed this task as Resolved.Feb 21 2020, 9:45 AM

Looks like all has been sorted out (apart from how flights will get booked maybe, but that's material for private emails), so I'm resolving this task.
Thanks a lot everyone for your help and the good and respectful conversation here! :)